{% extends "base.html" %}

{% block content %}
<div style="width: 100vw; display: flex; align-items: center; flex-direction: column" >
    <div>
        {% if user.is_authenticated %}
            <a href="create">
                Dodaj nowy produkt
            </a>
            <p>W kategorii {{category}}</p>
        {% else %}
            <p>{{category}} do wypożyczenia:</p>
        {% endif %}
    </div>

    <ul class="products_list">
        {% for instance in object_list %}
            <li>
                <span class="product">
                    <h3 style="color: purple">
                        {% if category == "KSIĄŻKI" %}
                           {{instance.author}} -- {{instance.title}}
                        {% endif %}
                        {% if category == "FILMY" %}
                           {{instance.director}} -- {{instance.title}}
                        {% endif %}
                        {% if category == "PŁYTY MUZYCZNE" %}
                            {{instance.band}} -- {{instance.title}}
                        {% endif %}
                    </h3>
                    {% if user.is_authenticated %}
                    <ul>
                        <form method="UPDATE" action="{{instance.get_url}}/"> {% csrf_token %}
                            <input type="submit" value="Edytuj" />
                        </form>
                        
                        <form method="POST" action="{{instance.get_url}}/delete/"> {% csrf_token %}
                            <input type="submit" value="Usuń" />
                        </form>
                    </ul>
                </span>
                {% endif %}
            </li>
        {% endfor %}
    </ul>

<div>
{% endblock content %} 